public class Stadium {
    public final String name;
    public final Country country;
    public final int capacity;

    public Stadium(String name, Country country, int capacity) {
        this.name = name;
        this.country = country;
        this.capacity = capacity;
    }

    @Override
    public boolean equals(Object o) {
        if (!(o instanceof Stadium)) {
            return false;
        }
        Stadium s = (Stadium) o;
        return name.equals(s.name) && country.equals(
                s.country) && capacity == s.capacity;
    }

    @Override
    public String toString() {
        return String.format("Stadium[name=%s, country=%s, capacity=%s]", name,
                country.name, capacity);
    }
}
